## javax.mail
Class Provider.Type

    java.lang.Object
      javax.mail.Provider.Type

Enclosing class:
  Provider

    public static class Provider.Type

extends java.lang.Object

This inner class defines the Provider type. Currently, STORE and TRANSPORT are the only two provider types supported.

Field Summary
`static Provider.Type` `STORE`
`static Provider.Type` `TRANSPORT`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE

    public static final Provider.Type STORE

### TRANSPORT

    public static final Provider.Type TRANSPORT

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`